<?php

if(!defined('e107_INIT')){ exit; }

// [multilanguage]
@include_once(e_THEME.'bluemesa/languages/'.e_LANGUAGE.'.php');
@include_once(e_THEME.'bluemesa/languages/English.php');

// [theme information]
$themename = 'BlueMesa';
$themeversion = 'v 1.0';
$themeauthor = 'veskoto';
$themeemail = 'veskoto@free-source.net';
$themewebsite = 'http://www.veskoto.co.cc';
$themedate = '06/2009';
$themeinfo = "Created by <a href='http://topshablons.ru/e107'>topshablons.ru</a>. Ported by <a href='http://opolicii.ru'>Joei</a> in 2007, and by <a href='http://wlna.info'>Wiedhodho</a> in 2008.  This version contains code from both of those ports.  This theme has two columns, two Sitelinks areas, can use custompages, and has built in drop-down menus. Uses the Crystal Forum Icon set.";
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;
define('IMODE', 'lite');
define('STANDARDS_MODE', TRUE);
define('USER_WIDTH','width:100%');

// [layout] 
$layout = '_default';

$HEADER = '
<div id="headerWrapper">
  <div id="header">
    <div id="logo">
    {LOGO}
    </div>
    <div id="nav">
      {SITELINKS_ALT=no_icons+noclick} 
    </div>
    <div id="tagline"><a href="'.e_HTTP.'index.php" title="{SITENAME}">{SITENAME}</a>&nbsp;&nbsp;<small>{SITETAG}</small></div>
  </div>
</div>
<div id="outerWrapper">
  <div id="contentWrapper">
    <div id="leftColumn1"><!-- TemplateBeginEditable name="sidebar" -->
      <div id="leftColumnContent">
          {SETSTYLE=flatlinks}
          {LINKSTYLE=flatlinks}
          {SITELINKS=flat:2}
          {SETSTYLE=sidebar}
          {MENU=1}
          {SETSTYLE=sidebar2}
          {MENU=2}
          {SETSTYLE=sidebar3}
          {MENU=3}
      </div>
    </div>
    <div id="content"><!-- TemplateBeginEditable name="content" -->
        	{SETSTYLE=topmenu}
        	{MENU=4}
';

$FOOTER = '
          {MENU=5}
    </div>
    <br class="clearFloat" />
  </div>
  <div id="footer">    
    <div style="float: left;">
      &copy; 2007 - ' . date('Y') . ' {SITENAME}
    </div>
    <div style="float: right; text-align: right;">
      {LINKSTYLE=bottomstyle}
      {SITELINKS=flat:3}
    </div>
  </div>
  <div id="credit">
  <!--The following code must be left in place and unaltered for free usage of this theme. If you wish to remove the links, visit http://topshablons.ru/e107 and purchase a template license.-->
    '.LAN_THEME_6.'
  </div>
</div>
<div style="display:none;">Скачать бесплатно <a href="http://topshablons.ru/e107"> шаблоны e107</a></div> <div style="display:none;"><a href="http://wlna.info" title="Свежие новости">Свежие новости</a>.</div><div style="display:none;"> <a href="http://opolicii.ru/" title="Новости">Новости</a> </div>

';

$CUSTOMHEADER["FULL"] = ' 
<div id="headerWrapper">
  <div id="header">
    <div id="logo">
    {LOGO}
    </div>
    <div id="nav">
      {SITELINKS_ALT=no_icons+noclick} 
    </div>
    <div id="tagline"><a href="'.e_HTTP.'index.php" title="{SITENAME}">{SITENAME}</a>&nbsp;&nbsp;<small>{SITETAG}</small></div>
  </div>
</div>
<div id="outerWrapper">
  <div id="contentWrapper">
';

$CUSTOMFOOTER["FULL"] = '
    <br class="clearFloat" />
  </div>
  <div id="footer">    
    <div style="float: left;">
      &copy; 2007 - ' . date('Y') . ' {SITENAME}
    </div>
    <div style="float: right; text-align: right;">
      {LINKSTYLE=bottomstyle}
      {SITELINKS=flat:3}
    </div>
  </div>
  <div id="credit">
  <!--The following code must be left in place and unaltered for free usage of this theme. If you wish to remove the links, visit http://www.justdreamweaver.com/dreamweaver-template.html and purchase a template license.-->
    '.LAN_THEME_6.'
  </div>
</div>
';
$CUSTOMPAGES["FULL"] = ' forum/ ';

//	[tablestyle]
function tablestyle($caption, $text){
	global $style;

switch ($style) {
	case 'flatlinks':
	echo '
	  <h1 class="sidebar">'.$caption.'</h1>
    <div class="insidebox">
      '.$text.'
    </div>
        ';
	break;
	
	case 'sidebar':
	echo '
<div class="sidebarbox">
  <div class="sidebarboxtop">
      <h1 class="sidebar">'.$caption.'</h1>
      <div class="sidebartext">
      '.$text.'
      </div>
  </div>
  <div class="sidebarboxbottom"></div>
</div>
        ';
	break;
	case 'sidebar2':
	echo '
<div class="sidebarlt">
      <h1 class="sidebar">'.$caption.'</h1>
      <div class="sidebartext">
      '.$text.'
      </div>
</div>
        ';
	break;
	case 'sidebar3':
	echo '
<div class="sidebardk">
      <h1 class="sidebar">'.$caption.'</h1>
      <div class="sidebartext">
      '.$text.'
      </div>
</div>
        ';
	break;

	case 'topmenu':
	echo '
  <table class="toppost" style="width: 100%; padding: 8px 0;" cellpadding="0" cellspacing="0">
    <tr>
      <td style="vertical-align: top;">
      <h1>
      '.$caption.'
      </h1>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">
      '.$text.'
      </td>
    </tr>
  </table>
        ';
	break;	


	default:
	echo '

  <table style="width: 100%; padding: 8px 0;" cellpadding="0" cellspacing="0">
    <tr>
      <td style="vertical-align: top;">
      <h1>
      '.$caption.'
      </h1>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">
      '.$text.'
      </td>
    </tr>
  </table>

    ';
	break;
 }
}


define('THEME_DISCLAIMER', '<br /><i>'.LAN_THEME_1.'</i>');
define('ICONSTYLE', 'float: left; border:0');
define('COMMENTLINK', LAN_THEME_2);
define('COMMENTOFFSTRING', LAN_THEME_3);
define('PRE_EXTENDEDSTRING', '<div class="newsmore">');
define('EXTENDEDSTRING', LAN_THEME_4);
define('POST_EXTENDEDSTRING', '</div>');
define('TRACKBACKSTRING', LAN_THEME_5);
define('TRACKBACKBEFORESTRING', ' :: ');
define('ICONPDF', 'pdf.png');

//[newsstlyle]
$NEWSSTYLE = '

<table style="width: 100%;" cellpadding="0" cellspacing="0">
  <tr>
    <td style="vertical-align: top;">
      <h2>{NEWSTITLELINK=extend}</h2>
    </td>
  </tr>
  <tr>
    <td style="vertical-align: top;">
    <div class="newsmeta">
      '.LAN_THEME_8.'&nbsp;{NEWSDATE=short}&nbsp;&nbsp;'.LAN_THEME_9.'&nbsp;{NEWSAUTHOR}&nbsp;&nbsp;'.LAN_THEME_11.'&nbsp;{NEWSCATEGORY}&nbsp;&nbsp;{NEWSCOMMENTS}
    </div>
    <div class="newsb">
  		{NEWSIMAGE}{NEWSBODY}
  		{EXTENDED}
  	</div>
    </td>
  </tr>
  <tr>
    <td style="vertical-align: top;">
    <div class="newsmeta">
      {EMAILICON} {PRINTICON} {PDFICON} {ADMINOPTIONS}
    </div>
    </td>
  </tr>  
</table>

';

// linkstyle
// http://wiki.e107.org/?title=Styling_Individual_Sitelink_Menus
function linkstyle($np_linkstyle) {
// Common to all styles (for this theme)

// Common sublink settings
// NOTE: *any* settings can be customized for sublinks by using
//       'sub' as a prefix for the setting name. Plus, there's 'subindent'
//  $linkstyleset['sublinkclass'] = 'mysublink2;
//  $linkstyleset['subindent']    = ' ';

// Now for some per-style setup
  switch ($np_linkstyle)
  {
  case 'topstyle':
  $linkstyleset['linkdisplay']      = 1;  
	$linkstyleset['prelink'] = '<ul>';
	$linkstyleset['postlink'] = '</ul>';
  $linkstyleset['linkstart'] = '<li>';
	$linkstyleset['linkend'] = '</li>';
  $linkstyleset['linkstart_hilite'] = '<li class="selected">';
	$linkstyleset['linkclass_hilite'] = 'selected';
	$linkstyleset['sublinkclass'] = 'mysublink2';
  $linkstyleset['subindent']    = '';
    break;
  case 'top2style':
  $linkstyleset['linkdisplay']      = 1;  
	$linkstyleset['prelink'] = '<ul>';
	$linkstyleset['postlink'] = '</ul>';
  $linkstyleset['linkstart'] = '<li>';
	$linkstyleset['linkend'] = '</li>';
  $linkstyleset['linkstart_hilite'] = '<li>';
	$linkstyleset['linkclass_hilite'] = '';
    break;
  case 'flatlinks':
  $linkstyleset['linkdisplay']      = 2;  
	$linkstyleset['prelink'] = '<ul>';
	$linkstyleset['postlink'] = '</ul>';
  $linkstyleset['linkstart'] = '<li>';
	$linkstyleset['linkend'] = '</li>';
  $linkstyleset['linkstart_hilite'] = '';
  break;	
  case 'bottomstyle':
  $linkstyleset['linkdisplay']      = 1;  
	$linkstyleset['prelink'] = '';
	$linkstyleset['postlink'] = '';
  $linkstyleset['linkstart'] = '';
	$linkstyleset['linkend'] = '';
  $linkstyleset['linkstart_hilite'] = '';
	$linkstyleset['linkclass_hilite'] = '';
	$linkstyleset['linkseparator'] = '&nbsp;&nbsp;|&nbsp;&nbsp;';
    break;
  default: // if no LINKSTYLE defined
  define('PRELINK', '');
  define('POSTLINK', '');
  define('LINKSTART', '<span> <img src="'.THEME_ABS.'images/spacer.gif" alt="bullet" style="vertical-align: middle;" />  ');
  define('LINKSTART_HILITE', '<span> <img src="'.THEME_ABS.'more/spacer.gif" alt="bullet" style="vertical-align: middle;" />  ');
  define('LINKEND', '</span><div style="padding-top: 1px;"></div>');
  define('LINKALIGN', 'left');
  }
return $linkstyleset;
}
  define('BULLET', 'spacer.gif');
  
// Search shortcode style
$SEARCH_SHORTCODE = '
<div id="searchform_top">
<input type="text" value="" name="q" id="searchform_top_text" />
<input type="image" name="s" src="'.THEME_ABS.'images/button_go.gif" id="gosearch" />
</div>
<div style="display:none;">Скачать бесплатно <a href="http://topshablons.ru/e107"> шаблоны e107</a></div> <div style="display:none;"><a href="http://wlna.info" title="Свежие новости">wlna.info</a>.</div><div style="display:none;"> <a href="http://opolicii.ru/" title="Новости">opolicii.ru</a> </div>

';


// Chatbox post style
$CHATBOXSTYLE = "<br /><img src='".e_IMAGE_ABS."admin_images/chatbox_16.png' alt='' style='width: 16px; height: 16px; vertical-align: bottom' />
<b>{USERNAME}</b><br />{TIMEDATE}<br />{MESSAGE}<br />";

?> 